<?php

/*------------------------------------------------------------------------
# com_invoices - Invoice Manager for Joomla
# ------------------------------------------------------------------------
# author				Germinal Camps
# copyright 			Copyright (C) 2012 - 2016 JoomlaThat.com. All Rights Reserved.
# @license				http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
# Websites: 			http://www.joomlathat.com
# Technical Support:	Forum - http://www.joomlathat.com/support
-------------------------------------------------------------------------*/

/** ensure this file is being included by a parent file */
defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgInvoicessearchJomsocial extends JPlugin {

	function plgInvoicessearchJomsocial(& $subject, $config) {

		$plugin = JPluginHelper::getPlugin('invoicessearch','jomsocial');
		$this->params = new JRegistry( $plugin->params );
		
		$this->lang_code = $this->params->get('lang', 'en_gb') ;

		$lang = JFactory::getLanguage();
		$lang->load('com_community.country', JPATH_SITE);		

		parent::__construct($subject, $config);

	}
	
	var $component = "com_community" ;
	var $lang_code = "en_gb" ;
	var $params = null ;
	
	function onSearchContacts($keywords){
		
		$db = JFactory::getDBO();
		
		$where_clause = array();
		
		$where_clause[] = ' ( u.name LIKE "%'.$keywords.'%" OR u.username LIKE "%'.$keywords.'%" OR u.email LIKE "%'.$keywords.'%" ) ';

		$where_clause[] = ' cou.userid IS NOT NULL ' ;
		
		// Build the where clause of the content record query
		$where_clause = (count($where_clause) ? ' WHERE '.implode(' AND ', $where_clause) : '');
		
		$query = ' SELECT u.id '
				.' FROM #__users AS u '
				.' LEFT JOIN #__community_users AS cou ON cou.userid = u.id '
		 		.$where_clause ;
		$db->setQuery($query);
		$items = $db->loadObjectList();
		
		$i = 0 ;
		foreach($items as $item){
			$theuser = $this->onObtainContact($item->id);
			if(!empty($theuser->to_name)) $items[$i] = $theuser ;
			else unset($items[$i]) ;
			$i++;
		}
		
		$return = new stdClass();
		$return->component = $this->component ;
		$return->items = $items ;
		
		return $return ;
		
	}
	
	function onObtainContact($id){
		
		$db = JFactory::getDBO();

		$query = ' SELECT u.* '
				.' FROM #__users AS u '
				.' WHERE u.id = '. $id ;
		$db->setQuery($query);
		$usuari = $db->loadObject();
		
		$query = ' SELECT va.* '
				.' FROM #__community_fields_values AS va '
				.' WHERE va.user_id = '. $id ;
		$db->setQuery($query);
		$items = $db->loadObjectList('field_id');

		$item = new stdClass();

		if(!empty($items)){
			$items[0] = new stdClass();
			$items[0]->value = "";
			
			$item->name = $usuari->name ;
			$item->to_name = $usuari->name ;
			$item->to_company = $items[$this->params->get('company')]->value ;
			$item->to_email = $usuari->email ;
			$item->to_address = $items[$this->params->get('address')]->value ;
			$item->id = 0 ;
			$item->to_city = $items[$this->params->get('city')]->value ;
			$item->to_state = $items[$this->params->get('state')]->value ;
			$item->to_country = JText::_($items[$this->params->get('country')]->value) ;
			$item->to_zipcode = $items[$this->params->get('zipcode')]->value ;
			$item->to_vatid = $items[$this->params->get('vatid')]->value ;
			$item->user_id = 0 ;
			$item->username = $usuari->username ;
			$item->to_phone = $items[$this->params->get('phone')]->value ;
			
			$item->component = $this->component ;

			$item->vincular_cliente = $item->to_name ;
			$item->joomla_user_id = $id ;

		}
		
		return $item ;
		
	}

}
